rootv(1)

NAME
rootv - display TV using the Xvideo extension

SYNOPSIS
rootv [ options ]

DESCRIPTION
rootv puts a video to some window. By default it creates its own window, but you can also ask it to use the root window (thus the name) or any other window. rootv needs the Xvideo extension.

rootv itself provides no way to control video/audio/tuner. You can use v4lctl to do this.

OPTIONS
rootv knows a number of command line options to modify the behaviour.

-help
    Print a short description of all command line options.

-verbose
    Be verbose. That will dump some debug messages to stderr.

-root
    Put the video onto the root window instead of creating a new window.

-id <win>
    Put the video into the window <win> instead of creating a new window.

-station <st>
    Tune station <st>. This just calls v4lctl, which in turn will look up the station in your ~/.xawtv config file.

-no-mute
    Don't toggle mute. By default rootv will unmute the TV card when it starts and mute it on exit. It does this using the XV_MUTE attribute (if available).

-port <n>
    Use Xvideo port <n>. Try the -verbose switch if you want to know which ones are available.

-bg Fork into background.

-wm Print WindowMaker menu (set stations using v4lctl).

SEE ALSO
xawtv(1), fbtv(1), v4lctl(1)

AUTHOR
Gerd Knorr <kraxel@bytesex.org>

COPYRIGHT
Copyright (C) 2000-2002 Gerd Knorr <kraxel@bytesex.org>

This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with this program; if not, write to the Free Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.